package org.bench4q.share.models.agent;

import java.util.LinkedList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "parameterizationInfo")
public class ParameterizationInfoModel {
	private String name;
	private List<String> permittedPickOrders;
	private List<String> permittedUpdateStrategies;

	@XmlElement
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@XmlElementWrapper
	@XmlElement
	public List<String> getPickOrders() {
		return permittedPickOrders;
	}

	public void setPermittedPickOrders(List<String> permittedPickOrders) {
		this.permittedPickOrders = permittedPickOrders;
	}

	@XmlElementWrapper
	@XmlElement
	public List<String> getPermittedUpdateStrategies() {
		return permittedUpdateStrategies;
	}

	public void setPermittedUpdateStrategies(
			List<String> permittedUpdateStrategies) {
		this.permittedUpdateStrategies = permittedUpdateStrategies;
	}

	public ParameterizationInfoModel() {
		this.setPermittedUpdateStrategies(new LinkedList<String>());
		this.setPermittedPickOrders(new LinkedList<String>());
	}
}
